Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.javascript
Class LibraryResource

    java.lang.Object
      org.richfaces.javascript.LibraryResource

    public class LibraryResource

extends java.lang.Object

This class represent information about external JavaScript library as JSF resource

Author:
  asmirnov

Constructor Summary
`LibraryResource(java.lang.String library, java.lang.String resourceName)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getLibrary()`
`java.lang.String` | `getResourceName()`
`int` | `hashCode()`
`static java.lang.Iterable<LibraryResource>` | `of(java.lang.Iterable<LibraryScriptString> scripts)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LibraryResource

    public LibraryResource(java.lang.String library,
                           java.lang.String resourceName)

Parameters:
  `library` -
  `resourceName` -

Method Detail

### getLibrary

    public java.lang.String getLibrary()

  Returns:
    the library

### getResourceName

    public java.lang.String getResourceName()

  Returns:
    the resourceName

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### of

    public static java.lang.Iterable<LibraryResource> of(java.lang.Iterable<LibraryScriptString> scripts)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.